Bug 187863 - KWrite crashes when any window is closed if "new window" feature has been used
KWrite crashes when any window is closed if "new window" feature has been used
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 22:54 EDT by Steve Castellotti
Modified: 2008-05-18 09:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: kdebase-4.0.3-9.fc9.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 09:38:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
GDB Backtrace of application after crash (4.31 KB, text/plain)
2006-04-03 22:54 EDT, Steve Castellotti
no flags Details

  None (edit)
Description Steve Castellotti 2006-04-03 22:54:08 EDT
Description of problem:

kwrite (part of kate) segfaults (sigsegv - signal 11) whenever a New Window has
been opened, and any window spawned by that process is later closed.


Version-Release number of selected component (if applicable):
KWrite 4.5.1 (Using KDE 3.5.1-2.3 Red Hat)

How reproducible:
Always

Steps to Reproduce:
1. execute "kwrite" at the command line

2. open a new window, this a duplicate view of the current document (may be
necessary to first assign a keyboard shortcut to this option under the
"Settings->Configure Shortcuts" menu

3. close either window

4. application crashes
  
Actual results:
application crashes

Expected results:
window selected to be closed closes

Additional info:
if kwrite is run, and multiple documents are opened useing the "open" command
form the file menu, they will spawn in new windows. If a duplicate view (new
window) of any of these documents is created, and then any other window opened
by the same process is closed (even windows which themselves did not have a
duplicate view) - all windows crashed.

if a seperate "session" of kwrite was started from the command line, it is not
affected by this crash
Comment 1 Steve Castellotti 2006-04-03 22:54:08 EDT
Created attachment 127268 [details]
GDB Backtrace of application after crash
Comment 2 Steve Castellotti 2008-03-18 12:08:02 EDT
This still happens to me under Fedora 8 - it also happened under 6 and 7, as
well as 5 as originally reported.

I can easily reproduce at any time.

The bug occurs when a duplicate view is opened of the same document - when that
window (or any windows opened under the same kwrite process) is closed, all of
those processed crash at once.

As a developer I use this feature constantly in order to be able to work on two
sections of the same source code file at once, knowing that if I save my changes
in either window all changes in all duplicate views are saved as well - it
doesn't become a race condition.
Comment 3 Bug Zapper 2008-04-03 22:32:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Steve Castellotti 2008-05-18 09:38:45 EDT
Seems fixed in Fedora 9!

Note You need to log in before you can comment on or make changes to this bug.